const int analogInPin = A0;   //Sets a variable for the pin that is connected to the sensor

int sensorValue = 0;    //Sets a variable for the raw sensor data
float midValue = 0;   //Sets a variable for a number used in calculating PSI
float psi = 0;    //Sets a variable for the final pressure reading

int loopTime = 100; //Sets a variable for how often the pressure is read, in milliseconds

void setup() 
{
  Serial.begin(9600);   //Initializes serial communications
}

void loop() 
{
  sensorValue = analogRead(analogInPin);    //Reads the current value of the sensor
  midValue = map(sensorValue, 320, 345, 0, 100);    //Performs calculations
  psi = map(midValue, 52, 100, 0, 15);    //Performs calculations

  /*
  Serial.print("sensorValue = " );    //Uncomment these lines to see raw sensor data              
  Serial.print(sensorValue); 
  Serial.print("\tmidValue = ");      
  Serial.print(midValue);
  Serial.print("/t");
  */   
  Serial.print("psi = ");   //Prints the results    
  Serial.println(psi);    //Prints the results
  delay(loopTime);     
}

